## gnome-shell-extension-trash 0.2.0

=== Makefile ===
release:
	zip -r gnome-shell-trash-extension.zip * -x .git -x .zip -x Makefile -x tags

clean:
	rm -f gnome-shell-trash-extension.zip

## gnome-shell-extension-trash 0.2.0-git20161122.ad29112

=== debian/changelog ===
gnome-shell-extension-trash (0.2.0-git20161122.ad29112-2) unstable; urgency=medium

  * Update maintainer e-mail address
  * Upgrade to debhelper-compat (=12)
  * Update standards version to 4.4.0
  * Update copyright years
  * Move Vcs to salsa.debian.org service

 -- Jonathan Carter <jcc@debian.org>  Fri, 02 Aug 2019 10:41:13 +0000

gnome-shell-extension-trash (0.2.0-git20161122.ad29112-1) unstable; urgency=medium

  * Initial release (Closes: #847078)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 06 Dec 2016 10:28:43 +0200

=== debian/control ===
Source: gnome-shell-extension-trash
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=12)
Standards-Version: 4.4.0
Homepage: https://github.com/bertoldia/gnome-shell-trash-extension
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-trash.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-trash

Package: gnome-shell-extension-trash
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.16)
Description: trash applet for GNOME shell
 A minimalist Trash management extension for the GNOME Shell.
 .
 It allows you to empty and open the trash folder from the panel.
 It hides completely when the trash folder is empty.

=== debian/watch ===
version=4
https://github.com/bertoldia/gnome-shell-trash-extension/tags .*/-?(\d\S*)\.tar\.gz

## gnome-shell-extension-trash 0.2.0-git20200326.3425fcf1

=== debian/changelog ===
gnome-shell-extension-trash (0.2.0-git20200326.3425fcf1-1) unstable; urgency=medium

  * New upstream snapshot
  * Update to debhelper-compat (= 13)
  * Update to standards version 4.5.0
  * Declare Rules-Requires-Root: no
  * Update copyright years
  * Require gnome-shell version of at least 3.36

 -- Jonathan Carter <jcc@debian.org>  Thu, 22 Oct 2020 19:08:55 +0200

=== debian/control ===
Source: gnome-shell-extension-trash
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=13), zip
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/bertoldia/gnome-shell-trash-extension
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-trash.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-trash

Package: gnome-shell-extension-trash
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.36)
Description: trash applet for GNOME shell
 A minimalist Trash management extension for the GNOME Shell.
 .
 It allows you to empty and open the trash folder from the panel.
 It hides completely when the trash folder is empty.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# We currently skip portugues translations, it seems broken and upstream
	# doesn't currently build it either.
	for POFILE in po/de.po po/fr.po; do \
	        MOLANG=$$(echo $$POFILE | sed -e "s/po\///g" | sed -e "s/\.po//g"); \
		MOFILE="locale/$$MOLANG/LC_MESSAGES/gnome-shell-trash-extension.mo"; \
		msgfmt -cv -o $$MOFILE $$POFILE; \
	done
	dh_auto_build
